var express = require('express');
var router = express.Router();
var gameController = require('../../controllers/gameController.js');
var checkAuthenticated = require('../../middleware/checkAuthenticated.js');

router.get('/', gameController.list);

router.post('/', checkAuthenticated, gameController.create);

router.delete('/', checkAuthenticated, gameController.remove);

module.exports = router;